Packaging - Bug #32725

katello-change-hostname should handle --no-enable-puppet properly
06/04/2021 03:36 PM - lan Ballou

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: RPMs
Target version: 251
Difficulty: Fixed in Releases: 2.5.1,3.0.0
Triaged: No Found in Releases:
Bugzilla link: 1967974 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/6749,
https://github.com/theforeman/foreman-p
ackaging/pull/6774

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1967974

Description of problem:

katello-change-hostname will error out if @scenario_answers['puppet’] is false (
https://github.com/theforeman/foreman-packaging/blob/rpm/1.24/packages/katello/katello/hostname-change.rb#L170). We should
skip “delete_puppet_certs’ if this is the case.

Version-Release number of selected component (if applicable):
Katello 3.14

How reproducible:

Always

Steps to Reproduce:

1. Remove the puppet configuration from katello-answers.yam|

2. Run katello-change-hostname

3.

Actual results:

deleting old certs

/usr/share/katello/hostname-change.rb:217:in “delete_puppet_certs': undefined method []' for nil:NilClass (NoMethodError)
from /usr/share/katello/hostname-change.rb:488:in “run’

from /sbin/katello-change-hostname:23:in “<main>'

Expected results:

hostname changed successfully

Additional info:

Associated revisions

Revision ee14227e - 06/07/2021 08:35 AM - Ewoud Kohl van Wijngaarden
Fixes #32725 - Make delete_puppet_certs handle all input
If a user runs the installer with --no-enable-puppet the value of

@scenario_answers['puppet’] becomes false. false['ssldir'] raises an
exception. By returning early, it's handled safely.
History

#1 - 06/04/2021 03:37 PM - lan Ballou

- Subject changed from katello-change-hostname should handle --no-enable-puppet properly
to katello-change-hostname should handle --no-enable-puppet properly

- Pull request https://github.com/theforeman/foreman-packaging/pull/6749 added

#2 - 06/07/2021 08:36 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

#3 - 06/07/2021 02:14 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 06/07/2021 03:02 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|ee14227ebe203d54e5640c67d7d4925¢60b9b27a.

#5 - 06/11/2021 01:26 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/6774 added

#6 - 06/14/2021 10:37 AM - Evgeni Golov
- Fixed in Releases 2.5.1 added

#7 - 06/14/2021 10:56 AM - Evgeni Golov

- Target version set to 2.5.1

#8 - 08/06/2021 05:11 PM - Amit Upadhye
- Category set to RPMs
